
// Decagon: The D/Objective-C Bridge Demo Application
// Copyright © 2007  Michel Fortin
// <http://michelf.com/d-objc-bridge/>
//
// This program is free software: you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free 
// Software Foundation, either version 3 of the License, or (at your option) 
// any later version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT 
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
// FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
// more details.
//
// You should have received a copy of the GNU General Public License along 
// with this program. If not, see <http://www.gnu.org/licenses/>.

module decagon.main;

import decagon.adder;
import decagon.controller;
import cocoa.cocoa;


int main(char[][] args) {
	// Initialize controller classes before loading nib file by getting
	// its objcClass property.
	AppController.objcClass;
	AdderController.objcClass;
	
	auto app = new NSApplication;
	NSApplication.loadNib("Main.nib", app);
	app.run();
	
	return 0;
}
